SSL RC4 Cipher Suites Supported (Bar Mitzvah)

Medium Nessus Plugin ID 65821

Synopsis

The remote service supports the use of the RC4 cipher.

Description

The remote host supports the use of RC4 in one or more cipher suites.
The RC4 cipher is flawed in its generation of a pseudo-random stream of bytes so that a wide variety of small biases are introduced into the stream, decreasing its randomness.

If plaintext is repeatedly encrypted (e.g., HTTP cookies), and an attacker is able to obtain many (i.e., tens of millions) ciphertexts, the attacker may be able to derive the plaintext.

Solution

Reconfigure the affected application, if possible, to avoid use of RC4 ciphers. Consider using TLS 1.2 with AES-GCM suites subject to browser and web server support.

See Also

https://www.rc4nomore.com/

http://www.nessus.org/u?ac7327a0

http://cr.yp.to/talks/2013.03.12/slides.pdf

http://www.isg.rhul.ac.uk/tls/

https://www.imperva.com/docs/HII_Attacking_SSL_when_using_RC4.pdf

Plugin Details

Severity: Medium

ID: 65821

File Name: ssl_rc4_supported_ciphers.nasl

Version: 1.20

Type: remote

Family: General

Published: 2013/04/05

Updated: 2020/02/27

Dependencies: 21643

Risk Information

Risk Factor: Medium

CVSS Score Source: CVE-2013-2566

CVSS v2.0

Base Score: 4.3

Temporal Score: 3.7

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:N

Temporal Vector: CVSS2#E:U/RL:ND/RC:C

CVSS v3.0

Base Score: 5.9

Temporal Score: 5.4

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N

Temporal Vector: CVSS:3.0/E:U/RL:X/RC:C

Vulnerability Information

Required KB Items: SSL/Supported

Exploit Available: false

Exploit Ease: No known exploits are available

Vulnerability Publication Date: 2013/03/12

Reference Information

CVE: CVE-2013-2566, CVE-2015-2808

BID: 58796, 73684